// 太陽の制御
using UnityEngine;

public class Solar : MonoBehaviour {
    private MapManager man; // マップマネージャーへのアクセス用
    private Light lightComp;    // 自身のライトへのアクセス用
	
	// Update is called once per frame
	void Update () {
        if (man == null)
        {
            man = GameObject.Find("MapManager").GetComponent<MapManager>();
        } else
        {
            transform.LookAt(Vector3.zero);                 // 平行光の向きをセット
            transform.position = man.sunPos * man.sunMag;
            if (lightComp == null)
            {
                lightComp = transform.GetComponent<Light>();
            } else
            {
                lightComp.color = man.sunColor;     // 光の色をセット
            }
        }
    }
}
